## onMoveMouse

### Syntax:

    onMoveMouse (handlerFunction);

    onMoveMouse ();

### Purpose:

Tells the computer which function to call whenever the mouse is moved. The value of handlerFunction must be a pointer to a function which takes no parameters. The function will be called every time the user moves the mouse until another call to onMoveMouse.

If no parameter is given, the program stops calling the current mouse movement handler function. No function will be called when the user moves the mouse until another call to onMoveMouse tells it otherwise.

Note that only one handler for mouse movement can be used at any one time. A subsequent call to onMoveMouse will replace the current handler function.

### Return value:

No return value.

### See also:

Passing Functions as Variables

onFocusChange

onKeyboard

onLeftMouse

onLeftMouseUp

onRightMouse

onRightMouseUp

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012